SaBlog-X 发文章兼容Chrome浏览器

 现在使用的是 sablog-x 1.6 版本,用了一下 Google 刚出的浏览器 chrome,发现在这个浏览器中无法使用 SaBlog-X 发文章,主要是 SaBlog-X 中的 FckEditor 编辑器的问题,但是到 FckEditor 官方网站上去看了一下,发现其实最新版本是支持的,然后又查看了一下 SaBlog-X 1.6 中 FckEditor 的代码,发现其实只要做少许改动(只需要把判断浏览器支持的地方做一下修改),就可以支持 Chrome 了,而且还可以支持 Opera 9.5、Safari 3.1。

 
只需要把他们解压缩后,覆盖掉 /admin/editor 下的那三个文件就可以了。
 
如果之前已以用chrome访问过后台,记得登陆后台后强制刷新一下(ctrl+f5)
这里是修改后的三个文件:
 
原文:http://www.coolcode.cn/show-305-1.html

Tags: sablog-x , chrome

上一篇: linux下飞快的BT客户端rtorrent   下一篇: HTTP Server 简单的网页服务器 V0.1内存错误修正

你问我答

  1. #1 头像 匿名人 2010-03-14 21:44:10
    好文章,顶一个,继续努力.
  2. #2 头像 rootnet 2012-03-25 19:08:01
    看看!原文网站已经无法打开

提交疑问

回顶部